Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1659249 - [RFE] Java 11 in Satellite 6
Summary: [RFE] Java 11 in Satellite 6
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin
Version: 2.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: candlepin-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-13 21:58 UTC by Peter Gervase
Modified: 2021-06-24 14:56 UTC (History)
8 users (show)

Fixed In Version: candlepin-3.2.6-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-06-24 14:56:41 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github candlepin candlepin pull 2818 0 None closed ENT-1675: Upgrade candlepin to use Java 11 2021-06-24 14:56:39 UTC
Github candlepin candlepin pull 2835 0 None closed Make mead build install Java 11 2021-06-24 14:56:39 UTC
Github candlepin candlepin pull 2836 0 None closed Set Java 11 specific mead target 2021-06-24 14:56:39 UTC
Github candlepin candlepin pull 2840 0 None closed [M] Update rpm spec and cpsetup/cpdb for Java 11; ENT-3255 2021-06-24 14:56:39 UTC

Description Peter Gervase 2018-12-13 21:58:41 UTC
1. Proposed title of this feature request
[RFE] Java 11 in Satellite 6


3. What is the nature and description of the request?
This rfe is for java 11 to be included in Satellite 6.


4. Why does the customer need this? (List the business requirements here)
The earlier versions will be supported for a while longer, but this customer's management has a mentality of moving to the latest and greatest versions of products. As such, they are requesting version 11.


5. How would the customer like to achieve this? (List the functional requirements here)
There should be an updated version of the package available.


6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
If they can `yum update` and have it update to version 11, this would be successfully implemented.


7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
no


8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
No, but the sooner the better.


9. Is the sales team involved in this request and do they have any additional input?
No


10. List any affected packages or components.
java-1.8.0-openjdk
java-11-openjdk


11. Would the customer be able to assist in testing this functionality if implemented?
yes

Comment 3 Eric Helms 2018-12-19 12:47:53 UTC
The version of Java available with Satellite 6 is determined by Candlepin's and Puppetserver requirements along with whatever the base OS provides us. Given these do not require Java 11 at present, we cannot see a reason to carry a newer Java ourselves.

Comment 7 ekirby 2019-06-14 20:33:16 UTC
Hi Team, 

reaching out in the interest of guiding the customer's expectations on this particular RFE moving forward - would it be possible to get an update on the status of this outstanding RFE, or something that can be made transparent to the customer reasonably?

Thank you,

Comment 8 Bryan Kearney 2019-06-17 17:04:21 UTC
This RFE has not been slated for a release. As Erci said earlier, we do not envision moving to this until the dependent libraries require it.


Note You need to log in before you can comment on or make changes to this bug.